Bug Hunting Session
Bug 89179 - Undo of Numbering Level change crashes LibreOffice
Summary: Undo of Numbering Level change crashes LibreOffice
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: Other All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.3.7 target:4.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-06 17:12 UTC by Walter
Modified: 2015-02-25 06:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
A short nested Numbered list and the error message on file recovery (89.40 KB, application/vnd.oasis.opendocument.text)
2015-02-06 17:12 UTC, Walter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Walter 2015-02-06 17:12:06 UTC
Created attachment 113183 [details]
A short nested Numbered list and the error message on file recovery

I create a numbered list and then use the icons to move a sub-element down and up. Writer crashes. On trying to repair the file LibreOffice gives the error which I have included in the attachment.

To Reproduce:
1. Open attachment
2. Goto Line 1.1 and move down  (Ctrl + Alt + Down)
3. Move upwards again (Ctrl + Alt + Up)
4. Undo (Ctrl + Z)

Current behaviour: LibreOffice crashes
Expected behaviour: Line 1.1 returns to its position a step before

Version: LibreOffice 4.3.5.2
Platform: Windows 7 x64
Comment 1 Robinson Tryon (qubit) 2015-02-08 09:39:59 UTC
TESTING on Ubuntu 14.04 + LO Version: 4.5.0.0.alpha0+
Build ID: 40432ac6caa478474d73786f95b808c14e106ff2
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-02-03_01:24:42
Locale: en_US

(In reply to Walter from comment #0)
> To Reproduce:
> 1. Open attachment 113183 [details]
> 2. Goto Line 1.1 and move down  (Ctrl + Alt + Down)

Ctrl + Alt + Down doesn't work if I just tap the arrow key. I have to hold down all three keys for maybe a quarter of a second. Something is wonky here.  (I filed bug 89223 regarding this problem)

> 3. Move upwards again (Ctrl + Alt + Up)
> 4. Undo (Ctrl + Z)
> 
> Current behaviour: LibreOffice crashes

LibreOffice hangs and doesn't appear to become responsive again, so I'll consider this one CONFIRMED.
Status -> NEW
Comment 2 Commit Notification 2015-02-11 14:03:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29d2666d92e1105473f339609ba59e54a286b71c

Resolves: tdf#89179 fix Undo of Numbering Level change crash

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-02-11 14:57:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f45183c3c652b2c023d571ef56775ce5d3b27d2a&h=libreoffice-4-3

Resolves: tdf#89179 fix Undo of Numbering Level change crash

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-02-11 14:57:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f70bfb28c396dcd9184f1c0c8ad4644e38394bce&h=libreoffice-4-4

Resolves: tdf#89179 fix Undo of Numbering Level change crash

It will be available in 4.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-02-20 11:54:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6f09d55596c3e872133f319984bff20b1399407&h=libreoffice-4-4-1

Resolves: tdf#89179 fix Undo of Numbering Level change crash

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Timur 2015-02-23 10:56:59 UTC
Changing version to 4.3.0 beta.